import boto3
import requests
import sys

# Get the service client.
bucket = sys.argv[1]
key = sys.argv[2]
use_instance_profile = sys.argv[3]
access_key = sys.argv[4]
secret_key = sys.argv[5]
fqdn = sys.argv[6]
region=sys.argv[7]

if use_instance_profile == "true":
    s3 = boto3.client('s3',region_name=region)
else:
    s3 = boto3.client('s3',endpoint_url=fqdn,aws_access_key_id=access_key,aws_secret_access_key=secret_key,region_name=region)

# Generate the URL to get 'key-name' from 'bucket-name'
url = s3.generate_presigned_url(
    ClientMethod='get_object',
    Params={
        'Bucket': bucket,
        'Key': key
    }
)

print("SupportBundleLink "+url)
